Subject: [RFC PATCH 3/3] ARM: at91/dt: move sama5 to generic pinconf

From: [email-masked] (boris brezillon)
Date: Wed, 28 Aug 2013 14:52:08 +0200

Hello Linus,

On 28/08/2013 14:28, Linus Walleij wrote:
> On Sat, Aug 24, 2013 at 11:40 PM, Boris BREZILLON
> <[email-masked]> wrote:
>
>> Add generic pinconf definitions and reference appropriate configs in
>> atmel,pins properties.
>>
>> Signed-off-by: Boris BREZILLON <[email-masked]>
> (...)
>>                          pinctrl at fffff200 {
>>                                  #address-cells = <1>;
>>                                  #size-cells = <1>;
>> -                               compatible = "atmel,at91sam9x5-pinctrl", "atmel,at91rm9200-pinctrl", "simple-bus";
>> +                               compatible = "atmel,at91sam9x5-pinctrl", "atmel,at91rm9200-pinctrl", "generic-pinconf", "simple-bus";
> What kind of compatible string is that "generic-pinconf"?
>
> There is no driver that can instantiate against this string but I'm not
> 100% sure about such things. Is there some other driver doing this?
>
> Else I think it'd just be removed.

It did not exist before this patch series.

I thought it would be good idea to add a compatible string to tell if 
the pinctrl subnodes support the generic-pinconf binding,
without modifying the current compatible strings:
if compatible string contains the "generic-pinconf" then the pinconf 
definitions should be considered generic.

However, after discussing it with Stephen, Jean-Christophe and Nicolas, 
I no longer think this is a good idea
(backward compatibility issues).

>
>> +                               pcfg_none: pcfg_none {
>> +                                       bias-disable;
>> +                               };
>> +
>> +                               pcfg_pull_up: pcfg_pull_up {
>> +                                       bias-pull-up;
>> +                               };
> Nice.
>
>> +                               pcfg_deglitch: pcfg_deglitch {
>> +                                       input-deglitch = <1>;
>> +                               };
>> +
>> +                               pcfg_pull_up_deglitch: pcfg_pull_up_deglitch {
>> +                                       bias-pull-up;
>> +                                       input-deglitch = <1>;
>> +                               };
> input-deglitch seems like a proposed generic binding but I haven't seen
> these yet?
> (It might be in my violently exploding INBOX though sorry in that case.)
>
> This would need adding to
> Documentation/devicetree/bindings/pinctrl/pinctrl-bindings.txt
> Plus changes to pinctrl core for handling.

This was added in the first patch of this series:
https://lkml.org/lkml/2013/8/24/99

> BTW: this is really moving in the right direction!
>
> Yours,
> Linus Walleij

Thanks.

Best Regards,

Boris